import { Entity, ProjectModel } from "../../../../common/model/cuba-model";
import { GraphQLEnumValue, GraphQLType } from "graphql";
export interface AttributeModel {
    name: string | string[];
    type: string;
    gqlType: GraphQLType;
    displayName: string;
    enumOptions?: Array<GraphQLEnumValue>;
    isSingleRelationField: boolean;
    isMultiRelationField: boolean;
    nestedAttributes?: string[];
}
export interface EntityWithPath extends Entity {
    path: string;
}
export interface EntityTemplateModel {
    entity: EntityWithPath;
}
export interface EntityAnswers {
    entity: Entity;
}
export declare function deriveEntity(answers: EntityAnswers, projectModel: ProjectModel): EntityTemplateModel;
