"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEntityName = void 0;
const graphql_1 = require("graphql");
const unpackPaginationType_1 = require("./unpackPaginationType");
function getEntityName(queryName, schema) {
    const type = schema.getQueryType()?.getFields()?.[queryName]?.type;
    if (type == null) {
        throw new Error(`queryName: ${queryName}, cannot find type in field: ${JSON.stringify(schema.getQueryType()?.getFields()?.[queryName])}`);
    }
    const entityType = graphql_1.isInputObjectType(type) || graphql_1.isObjectType(type)
        ? unpackPaginationType_1.unpackPaginationType(type, schema)
        : type;
    return graphql_1.getNamedType(entityType).name;
}
exports.getEntityName = getEntityName;
//# sourceMappingURL=getEntityName.js.map