"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSelectedFieldNamesFromTopField = void 0;
const unpackPaginationFields_1 = require("./unpackPaginationFields");
function getSelectedFieldNamesFromTopField(documentNode) {
    const operation = documentNode.definitions[0];
    if (operation.kind !== 'OperationDefinition')
        throw new Error('Operation definition not found');
    const topField = operation.selectionSet.selections[0];
    if (topField.kind !== 'Field')
        throw new Error('topField can be only Field kind');
    let selectedFields = topField.selectionSet?.selections;
    if (selectedFields == null)
        throw new Error('Fields from topField aren\'t found');
    selectedFields = unpackPaginationFields_1.unpackPaginationFields(selectedFields);
    return selectedFields
        .map(topField => {
        if (topField.kind !== 'Field')
            throw new Error('Field from topField can be only Field kind');
        return topField.name.value;
    });
}
exports.getSelectedFieldNamesFromTopField = getSelectedFieldNamesFromTopField;
//# sourceMappingURL=getSelectedFieldNamesFromTopField.js.map