"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unpackPaginationType = void 0;
const graphql_1 = require("graphql");
function unpackPaginationType(type, schema) {
    if (type.getFields()['content'] && type.getFields()['totalElements']) {
        const entityContentType = schema.getTypeMap()[graphql_1.getNamedType(type.getFields()['content'].type).toString()];
        if (!graphql_1.isInputObjectType(entityContentType) && !graphql_1.isObjectType(entityContentType)) {
            throw new Error(`Type ${entityContentType} does not contain fields. Are you sure it isn't a scalar?`);
        }
        return entityContentType;
    }
    return type;
}
exports.unpackPaginationType = unpackPaginationType;
//# sourceMappingURL=unpackPaginationType.js.map