"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addEntityMenuItem = exports.addAppMenu = exports.addMenuItem = void 0;
const menu_1 = require("../../../../generators/react-typescript/common/menu");
function addMenuItem(gen, dirShift, className, nameLiteral, addRouteCallback = menu_1.addRoute, customComponentParams) {
    if (!menu_1.addToMenu(gen.fs, {
        componentFileName: className,
        componentClassName: className,
        caption: className,
        dirShift: dirShift,
        destRoot: gen.destinationRoot(),
        menuLink: '/' + nameLiteral,
        pathPattern: '/' + nameLiteral
    }, addRouteCallback, customComponentParams)) {
        gen.log('Unable to add component to menu: route registry not found');
    }
}
exports.addMenuItem = addMenuItem;
function addAppMenu(gen, dirShift, className, menuItem, addAppMenuCallback = menu_1.addAppMenuItem, customComponentParams) {
    if (!menu_1.addToAppMenu(gen.fs, {
        componentClassName: className,
        dirShift: dirShift,
        destRoot: gen.destinationRoot(),
        menuNode: menuItem,
    }, addAppMenuCallback, customComponentParams)) {
        gen.log('Unable to add component to menu: route registry not found');
    }
}
exports.addAppMenu = addAppMenu;
function addEntityMenuItem(gen, dirShift, className, nameLiteral, addRouteCallback = menu_1.addRoute, customComponentParams) {
    if (!menu_1.addToMenu(gen.fs, {
        componentFileName: className,
        componentClassName: className,
        caption: className,
        dirShift: dirShift,
        destRoot: gen.destinationRoot(),
        menuLink: '/' + nameLiteral,
        pathPattern: '/' + nameLiteral + '/:entityId?'
    }, addRouteCallback, customComponentParams)) {
        gen.log('Unable to add component to menu: route registry not found');
    }
}
exports.addEntityMenuItem = addEntityMenuItem;
//# sourceMappingURL=menu.js.map