import { RestParam, RestServiceMethod } from "../../../../../../common/model/cuba-model";
import { TypeAliasDeclaration, TypeNode } from "typescript";
import { ImportInfo } from "../import-utils";
import { ModelContext } from "../model/model-utils";
/**
 * In model could be methods with same name, but distinct parameters set,
 * we need to resolve this by using parameters type union.
 */
export declare type MethodWithOverloads = {
    methodName: string;
    methods: RestServiceMethod[];
};
export declare type MethodParamsType = {
    paramTypeNode: TypeAliasDeclaration;
    importInfos: ImportInfo[];
    name: string;
};
export declare type ParamTypeInfo = {
    typeNode: TypeNode;
    importInfo?: ImportInfo;
};
export declare function collectMethods(methods: RestServiceMethod[]): MethodWithOverloads[];
export declare function createMethodParamsType(overloadMethods: RestServiceMethod[], namePrefix: string, ctx: ModelContext): MethodParamsType;
export declare function parseParamType(param: RestParam, ctx: ModelContext): ParamTypeInfo;
