import { RestService } from "../../../../../../common/model/cuba-model";
import { ArrowFunction, ConciseBody, ParameterDeclaration, PropertyAssignment, TypeAliasDeclaration, TypeNode } from "typescript";
import { ImportInfo } from "../import-utils";
import { ModelContext } from "../model/model-utils";
export declare type CreateItemResult = {
    node: PropertyAssignment;
    methodParamsTypes: TypeAliasDeclaration[];
    imports: ImportInfo[];
};
export declare function generateServices(services: RestService[], ctx: ModelContext): string;
export declare function createService(service: RestService, ctx: ModelContext): CreateItemResult;
export declare function cubaAppCallFunc(method: string, paramTypeName: string | undefined, functionType: TypeNode | undefined, cubaAppCallParams: string[], typeArguments: TypeNode[]): ArrowFunction;
export declare function arrowFunc(parameters: ParameterDeclaration[], functionType: TypeNode | undefined, body: ConciseBody): ArrowFunction;
