"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.write_Auth_OAuth2_Keycloak_Stateful = void 0;
const writeTemplate_1 = require("../../../building-blocks/stages/writing/pieces/writeTemplate");
const replaceEnvVarValue_1 = require("../../../building-blocks/stages/writing/pieces/replace/replaceEnvVarValue");
const replaceStringValue_1 = require("../../../building-blocks/stages/writing/pieces/replace/replaceStringValue");
async function write_Auth_OAuth2_Keycloak_Stateful(_templateModel, gen) {
    await writeTemplate_1.writeTemplate(gen, './Login.tsx', './src/app/login/Login.tsx');
    await writeTemplate_1.writeTemplate(gen, './security.ts', './src/core/security/security.ts');
    await replaceStringValue_1.replaceStringValueInFile(gen, './src/config.ts', 'LOGIN_URI', '/oauth2/authorize');
    await replaceStringValue_1.replaceStringValueInFile(gen, './vite.config.ts', 'LOGIN_BASE_URL', 'oauth2');
    await replaceEnvVarValue_1.replaceEnvVarValueInFile(gen, '.env.development', 'VITE_LOGIN_URI', '/oauth2/authorize');
    await replaceEnvVarValue_1.replaceEnvVarValueInFile(gen, '.env.production', 'VITE_LOGIN_URI', '/oauth2/authorize');
}
exports.write_Auth_OAuth2_Keycloak_Stateful = write_Auth_OAuth2_Keycloak_Stateful;
//# sourceMappingURL=write.js.map