import { AmplicodeTemplateModelStage } from "../../../building-blocks/pipelines/amplicodePipeline";
import { AmplicodeComponentOptions } from "../../../building-blocks/stages/options/pieces/amplicode";
import { MvpEntityEditorAnswers } from "./answers";
import { DocumentNode, GraphQLSchema } from "graphql";
import { UtilTemplateModel } from "../../../building-blocks/stages/template-model/pieces/util";
import { ScreenTemplateModel } from "../../../building-blocks/stages/template-model/pieces/amplicode/ScreenTemplateModel";
import { BaseTemplateModel } from "../../../building-blocks/stages/template-model/pieces/amplicode/BaseTemplateModel";
import { AttributeModel } from "../../../building-blocks/stages/template-model/pieces/entity";
export interface MvpEntityEditorTemplateModel extends BaseTemplateModel, ScreenTemplateModel, UtilTemplateModel, GraphQLEditorModel {
    queryString: string;
    mutationString?: string;
    idField: string;
    refetchQueryName: string;
}
interface GraphQLEditorModel extends UsingScalars {
    queryName: string;
    mutationName?: string;
    entityName?: string;
    attributes: AttributeModel[];
    inputVariableName?: string;
    inputTypeName?: string;
}
export declare const deriveEntityDetailsTemplateModel: AmplicodeTemplateModelStage<AmplicodeComponentOptions, MvpEntityEditorAnswers, MvpEntityEditorTemplateModel>;
export declare function deriveGraphQLEditorModel(queryNode: DocumentNode, idField: string, schema?: GraphQLSchema, mutationNode?: DocumentNode): GraphQLEditorModel;
export interface UsingScalars {
    hasStringScalars?: boolean;
    hasIntScalars?: boolean;
    hasFloatScalars?: boolean;
    hasIDScalars?: boolean;
    hasBooleanScalars?: boolean;
    hasEnumScalars?: boolean;
    hasUnknownCustomScalars?: boolean;
    hasRelationFields?: boolean;
    hasDateScalars?: boolean;
    hasTimeScalars?: boolean;
}
export declare function deriveUsingScalars(attributes: AttributeModel[]): UsingScalars;
export {};
