"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.entityListQuestions = void 0;
exports.entityListQuestions = [
    {
        caption: 'Component name',
        code: 'componentName',
        propertyType: "POLYMER_COMPONENT_NAME" /* POLYMER_COMPONENT_NAME */,
        defaultValue: 'List',
        required: true
    },
    {
        caption: 'Component route',
        code: 'route',
        propertyType: "ROUTE" /* ROUTE */,
        required: true,
        relatedProperty: 'componentName'
    },
    {
        caption: 'Entity list type',
        // description: 'Possible values: "cards", "list", "table"
        code: 'type',
        propertyType: "OPTION" /* OPTION */,
        defaultValue: 'cards',
        options: ['cards', 'list', 'table'],
    },
    {
        caption: 'Multiselect',
        code: 'multiselect',
        propertyType: "BOOLEAN" /* BOOLEAN */,
        defaultValue: false,
        showIf: {
            type: 'table'
        }
    },
    {
        caption: 'Entity list mode',
        // description: 'Possible values: ' +
        //   '"edit" (there will be buttons to create and edit entity), ' +
        //   '"view" (read-only, there will be no action buttons), ' +
        //   '"view with details" (read-only, there will be a button to view entity details). ' +
        //   'Presence of delete button depends on whether delete mutation has been provided.',
        code: 'mode',
        propertyType: "OPTION" /* OPTION */,
        defaultValue: 'edit',
        options: ['edit', 'view', 'view with details'],
    },
    {
        caption: 'Query to load items',
        code: 'query',
        propertyType: "GRAPHQL_QUERY" /* GRAPHQL_QUERY */,
        required: true
    },
    {
        caption: 'Mutation to delete an item',
        // TODO rename with 'deleteMutation'
        code: 'mutation',
        propertyType: "GRAPHQL_MUTATION" /* GRAPHQL_MUTATION */,
        required: false
    },
    {
        caption: 'Name of the id attribute',
        code: 'idField',
        propertyType: "STRING" /* STRING */,
        required: false,
        defaultValue: 'id'
    },
    {
        caption: "Select arguments to filter by",
        code: "filterByArguments",
        propertyType: "FILTER_QUERY_ARGUMENT_ARRAY" /* FILTER_QUERY_ARGUMENT_ARRAY */,
        relatedProperty: 'query',
        required: false,
    },
    {
        caption: "Select arguments to order by",
        code: "orderByArguments",
        propertyType: "ORDER_QUERY_ARGUMENT_ARRAY" /* ORDER_QUERY_ARGUMENT_ARRAY */,
        relatedProperty: 'query',
        required: false,
    },
    {
        caption: "Pagination type",
        code: "paginationType",
        propertyType: "PAGINATION_TYPE" /* PAGINATION_TYPE */,
        relatedProperty: 'query',
        required: false,
    },
    {
        caption: "Add to menu",
        code: "shouldAddToMenu",
        propertyType: "BOOLEAN" /* BOOLEAN */,
        required: true,
        defaultValue: true
    }
];
//# sourceMappingURL=answers.js.map