"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.index = exports.icon = exports.description = exports.params = exports.options = exports.generator = exports.EntityListGenerator = void 0;
const YeomanGenerator_1 = require("../../../building-blocks/YeomanGenerator");
const amplicode_1 = require("../../../building-blocks/stages/options/pieces/amplicode");
Object.defineProperty(exports, "options", { enumerable: true, get: function () { return amplicode_1.amplicodeComponentOptionsConfig; } });
const amplicodePipeline_1 = require("../../../building-blocks/pipelines/amplicodePipeline");
const path_1 = __importDefault(require("path"));
const answers_1 = require("./answers");
Object.defineProperty(exports, "params", { enumerable: true, get: function () { return answers_1.entityListQuestions; } });
const template_model_1 = require("./template-model");
const write_1 = require("./write");
class EntityListGenerator extends YeomanGenerator_1.YeomanGenerator {
    constructor(args, options) {
        super(args, options);
    }
    async generate() {
        await amplicodePipeline_1.amplicodePipeline({
            templateDir: path_1.default.join(__dirname, 'template'),
            questions: answers_1.entityListQuestions,
            stages: {
                deriveTemplateModel: template_model_1.deriveEntityListTemplateModel,
                write: write_1.writeEntityList
            }
        }, this);
    }
}
exports.EntityListGenerator = EntityListGenerator;
exports.generator = EntityListGenerator;
const description = 'Set of entities displayed as cards.';
exports.description = description;
const icon = 'entity-list.svg';
exports.icon = icon;
const index = 10;
exports.index = index;
//# sourceMappingURL=index.js.map