import { UtilTemplateModel } from "../../../building-blocks/stages/template-model/pieces/util";
import { AmplicodeTemplateModelStage } from "../../../building-blocks/pipelines/amplicodePipeline";
import { AmplicodeComponentOptions } from "../../../building-blocks/stages/options/pieces/amplicode";
import { EntityListMode, EntityListAnswers, EntityListType } from "./answers";
import { GraphQLSchema } from "graphql";
import { BaseTemplateModel } from "../../../building-blocks/stages/template-model/pieces/amplicode/BaseTemplateModel";
import { ScreenTemplateModel } from "../../../building-blocks/stages/template-model/pieces/amplicode/ScreenTemplateModel";
import { AttributeModel } from "../../../building-blocks/stages/template-model/pieces/entity";
import { UsingScalars } from "../entity-details/template-model";
export interface EntityListTemplateModel extends BaseTemplateModel, UtilTemplateModel, ScreenTemplateModel, FiltersTemplateModel, OrderByTemplateModel, PaginationTemplateModel {
    queryName: string;
    route: string;
    queryString: string;
    deleteMutationName?: string;
    deleteMutationString?: string;
    idField: string;
    type: EntityListType;
    multiselect: boolean;
    mode: EntityListMode;
    attributes: AttributeModel[];
    allAttributes: string[];
    itemComponentName?: string;
    refetchQuery: string;
    entityName: string;
}
export declare const deriveEntityListTemplateModel: AmplicodeTemplateModelStage<AmplicodeComponentOptions, EntityListAnswers, EntityListTemplateModel>;
export interface FiltersTemplateModel {
    filters: AttributeModel[];
    withFilters: boolean;
    hiddenFilters: AttributeModel[];
    withHiddenFilters: boolean;
    maxFiltersInRow: number;
    filterUsingScalars: UsingScalars;
}
export declare function deriveFiltersTemplateModel(queryName: string, filterByArguments: Array<string[]> | undefined, schema: GraphQLSchema): FiltersTemplateModel;
export interface OrderByType {
    property: string;
    direction: 'ASC' | 'DESC';
}
export interface OrderByTemplateModel {
    orderByArguments?: OrderByType[];
    orderByType?: string;
    withOrderBy: boolean;
}
export declare function deriveOrderByTemplateModel(queryName: string, orderByArguments: OrderByType[] | undefined, schema: GraphQLSchema): OrderByTemplateModel;
declare type PaginationType = 'offset' | 'cursor';
export interface PaginationTemplateModel {
    paginationType?: PaginationType;
    paginationQueryPath?: string[];
    withPagination: boolean;
}
export declare function derivePatinationTemplateModel(queryName: string, paginationType: PaginationType | undefined, schema: GraphQLSchema): PaginationTemplateModel;
export {};
