"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeManagement = void 0;
const write_1 = require("../entity-details/write");
const write_2 = require("../entity-list/write");
const path_1 = __importDefault(require("path"));
const addMvpAppMenu_1 = require("../../../building-blocks/stages/writing/pieces/mvp/addMvpAppMenu");
async function writeManagement(templateModel, gen) {
    gen.log('Writing ScreenLayout...');
    await writeScreenLayout(templateModel, gen);
    gen.log(`Writing EntityDetails/Editor (${templateModel.entityListTemplateModel.mode})...`);
    await write_1.writeEntityDetails(templateModel.entityDetailsTemplateModel, gen);
    gen.log(`Writing EntityList (${templateModel.entityListTemplateModel.type})...`);
    await write_2.writeEntityList(templateModel.entityListTemplateModel, gen);
}
exports.writeManagement = writeManagement;
function writeScreenLayout(templateModel, gen) {
    const srcPath = path_1.default.join(__dirname, 'template', 'ScreenLayout.tsx.ejs');
    const { relDirShift, componentName, route, shouldAddToMenu, menuItemName } = templateModel;
    gen.log(`Generating to ${gen.destinationPath()}`);
    gen.fs.copyTpl(srcPath, gen.destinationPath(componentName + '.tsx'), templateModel);
    gen.log(`✓ Component ${componentName} written`);
    if (shouldAddToMenu) {
        addMvpAppMenu_1.addMvpAppMenu({
            gen,
            dirShift: relDirShift,
            route,
            componentName,
            menuItemName
        });
    }
    else {
        gen.log(`✓ Menu item not required for ${componentName}`);
    }
}
//# sourceMappingURL=write.js.map