"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const previews_registartion_1 = require("../../../../generators/react-typescript/common/previews-registartion");
const chai_1 = require("chai");
const test_commons_1 = require("../../../test-commons");
describe('previws generation', () => {
    const path = "testedPath";
    const componentName = 'TestedComponent';
    const componentPath = "./testedpath";
    it('test getNewMenuItem', () => {
        const expectedMenuItem = `
  <ComponentPreview path="${path}">
    <${componentName} />
  </ComponentPreview>`;
        chai_1.assert.equal(test_commons_1.stripNewLines(previews_registartion_1.getNewComponentPreview(path, componentName)), test_commons_1.stripNewLines(expectedMenuItem));
    });
    it('test addComponent with default import', () => {
        const previewsContent = `
    import react from "react";
      <Previews>
      </Previews>
    `;
        const expectedPreviewsContent = `\r
    import react from "react";\r
    import ${componentName} from "${componentPath}";\r
    <Previews>\r
      <ComponentPreview path="${path}">\r
          <${componentName} />\r
        </ComponentPreview></Previews>\r
    `;
        const actualPreviewsContent = previews_registartion_1.addComponent(previewsContent, {
            pathPattern: path,
            componentClassName: componentName,
            componentPath,
            componentFileName: ""
        }, true);
        chai_1.assert.equal(test_commons_1.stripNewLines(expectedPreviewsContent), test_commons_1.stripNewLines(actualPreviewsContent));
    });
    it('test addComponent with named import', () => {
        const previewsContent = `
    import react from "react";
      <Previews>
      </Previews>
    `;
        const expectedPreviewsContent = `\r
    import react from "react";\r
    import { ${componentName} } from "${componentPath}";\r
    <Previews>\r
      <ComponentPreview path="${path}">\r
          <${componentName} />\r
        </ComponentPreview></Previews>\r
    `;
        const actualPreviewsContent = previews_registartion_1.addComponent(previewsContent, {
            pathPattern: path,
            componentClassName: componentName,
            componentPath,
            componentFileName: ""
        }, false);
        chai_1.assert.equal(test_commons_1.stripNewLines(expectedPreviewsContent), test_commons_1.stripNewLines(actualPreviewsContent));
    });
});
//# sourceMappingURL=previews-registartion.test.js.map